//AssociationRuleCollection.java

import java.lang.*;
import java.io.*;
import java.util.*;

////////////////////AssociationRuleCollection class
class AssociationRuleCollection
{
	ArrayList AssociationRules;

	//constructors
	public AssociationRuleCollection()
	{
		AssociationRules=new ArrayList();
	}
	
	public AssociationRuleCollection(AssociationRule tAssociationRule)
	{
		AssociationRules=new ArrayList();
		AssociationRules.add(tAssociationRule);
	}
	
	//get functions
	public int get_nAssociationRules()
	{
		return(AssociationRules.size());
	}

	public AssociationRule getAssociationRule(int tIndex)
	{
		AssociationRule tAssociationRule=new AssociationRule();

		if(tIndex>=0&&tIndex<=AssociationRules.size()-1)
		{
			tAssociationRule=(AssociationRule)AssociationRules.get(tIndex);
		}

		return(tAssociationRule);
	}
	
	//set functions
	public void setAssociationRules(AssociationRuleCollection tAssociationRuleCollection)
	{
		clear();
		for(int t=0;t<=tAssociationRuleCollection.get_nAssociationRules()-1;t++)
		{
			addAssociationRule(tAssociationRuleCollection.getAssociationRule(t));
		}
	}
	
	//methods
	public void addAssociationRule(AssociationRule tAssociationRule)
	{
		AssociationRule ar1=new AssociationRule();
		ar1.setX(tAssociationRule.getX());
		ar1.setY(tAssociationRule.getY());
		ar1.setSupport(tAssociationRule.getSupport());
		ar1.setConfidence(tAssociationRule.getConfidence());
		AssociationRules.add(ar1);
	}

	public void appendAssociationRuleCollection(AssociationRuleCollection tAssociationRuleCollection)
	{
		int t;
		for(t=0;t<=tAssociationRuleCollection.get_nAssociationRules()-1;t++)
		{
			addAssociationRule(tAssociationRuleCollection.getAssociationRule(t));
		}
	}

	public void clear()
	{
		AssociationRules.clear();
	}

	public String toString()
	{
		String tStr="";
		
		for(int t=0;t<=AssociationRules.size()-1;t++)
		{
			tStr=tStr+getAssociationRule(t).toString()+"\n";
		}
		
		return(tStr);
	}

	public String toString1()
	{
		String tStr="";
		
		for(int t=0;t<=AssociationRules.size()-1;t++)
		{
			tStr=tStr+getAssociationRule(t).toString()+"\n\r";
		}
		
		return(tStr);
	}
}
